T_SNDREL(3N)

NAME
t_sndrel - initiate an orderly release

SYNOPSIS

#include <tiuser.h>

int t_sndrel(fd)
int fd;

DESCRIPTION

t_sndrel() initiates an orderly release of a transport connection and indicates to the transport provider that the transport user has no more data to send. fd identifies the local transport endpoint where the connection exists. After issuing t_sndrel(), the user may not send any more data over the connection. However, a user may continue to receive data if an orderly release indication has been received.

t_sndrel() is an optional service of the transport provider, and is only supported if the transport provider returned service type T_COTS_ORD on t_open(3N) or t_getinfo(3N).

RETURN VALUES

t_sndrel() returns:

0   on success.

-1  on failure and sets t_errno to indicate the error.

ERRORS

TBADF
    The specified file descriptor does not refer to a transport endpoint.

TFLOW
    O_NDELAY was set, but the flow control mechanism prevented the transport provider from accepting the function at this time.

TNOTSUPPORT
    This function is not supported by the underlying transport provider.

TSYSERR
    The function failed due to a system error and set errno to indicate the error.

SEE ALSO
t_open(3N), t_rcvrel(3N)